<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/src/timer.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">timer.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d41/timer_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">   42</a></span>uint32_t <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mode, uint32_t u32Freq)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>{</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    uint32_t u32Clk = <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a>(timer);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    uint32_t u32Cmpr = 0, u32Prescale = 0;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">// Fastest possible timer working freq is u32Clk / 2. While cmpr = 2, pre-scale = 0</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="keywordflow">if</span>(u32Freq &gt; (u32Clk / 2))</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        u32Cmpr = 2;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span>(u32Clk &gt; 0xFFFFFF)   <span class="comment">// For Mini, only needs to consider 24MHz at most</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            u32Prescale = 1;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            u32Clk &gt;&gt;= 1;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        u32Cmpr = u32Clk / u32Freq;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> = u32Mode | u32Prescale;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga260d35c1f89bbc056b6e99f30fae83e0">TCMPR</a> = u32Cmpr;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="keywordflow">return</span>(u32Clk / (u32Cmpr * (u32Prescale + 1)));</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>}</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">   73</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>{</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> = 0;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2c442e179e902bc7610b995bf3336041">TEXCON</a> = 0;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>}</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">   88</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Usec)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>{</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    uint32_t u32Clk = <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a>(timer);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    uint32_t u32Prescale = 0, delay = <a class="code hl_variable" href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> / u32Clk;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="keywordtype">float</span> fCmpr;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    <span class="comment">// Clear current timer configuration</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> = 0;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2c442e179e902bc7610b995bf3336041">TEXCON</a> = 0;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="keywordflow">if</span>(u32Clk == 10000)           <span class="comment">// min delay is 100us if timer clock source is LIRC 10k</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        u32Usec = ((u32Usec + 99) / 100) * 100;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    <span class="keywordflow">else</span>        <span class="comment">// 10 usec every step</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        u32Usec = ((u32Usec + 9) / 10) * 10;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <span class="keywordflow">if</span>(u32Clk &gt; 0xFFFFFF)   <span class="comment">// For Mini, only needs to consider 24MHz at most</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        u32Prescale = 1;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        u32Clk &gt;&gt;= 1;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="comment">// u32Usec * u32Clk might overflow if using uint32_t</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    fCmpr = ((float)u32Usec * (<span class="keywordtype">float</span>)u32Clk) / 1000000.0;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga260d35c1f89bbc056b6e99f30fae83e0">TCMPR</a> = (uint32_t)fCmpr;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> = <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a94d08585a4ef3b9104fa1367886bf6ac">TIMER_TCSR_CEN_Msk</a> | u32Prescale; <span class="comment">// one shot mode</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    <span class="comment">// When system clock is faster than timer clock, it is possible timer active bit cannot set in time while we check it.</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <span class="comment">// And the while loop below return immediately, so put a tiny delay here allowing timer start counting and raise active flag.</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    <span class="keywordflow">for</span>(; delay &gt; 0; delay--)</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        __NOP();</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    delay = (<a class="code hl_variable" href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> / 1000000) * u32Usec * 10;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="keywordflow">while</span> ((timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> &amp; <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a31db38e521750354e34c2758907a5a5d">TIMER_TCSR_CACT_Msk</a>) &amp;&amp; (delay-- &gt; 0));</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>}</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">  146</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32CapMode, uint32_t u32Edge)</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>{</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2c442e179e902bc7610b995bf3336041">TEXCON</a> = (timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2c442e179e902bc7610b995bf3336041">TEXCON</a> &amp; ~(<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a532a09dac569fa74ed79adae9c022e30">TIMER_TEXCON_CAP_MODE_Msk</a> |</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                                       <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a00c934ea97e84af7c585846f629620f9">TIMER_TEXCON_RSTCAPSEL_Msk</a> |</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                                       <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a1a3e80e5c1c2b93f51f7014d1ac8edf2">TIMER_TEXCON_TEX_EDGE_Msk</a>)) |</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                    u32CapMode | u32Edge | <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#aafb067e92caf52879b291d0bb99fcc35">TIMER_TEXCON_TEXEN_Msk</a>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>}</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">  160</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>{</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2c442e179e902bc7610b995bf3336041">TEXCON</a> &amp;= ~TIMER_TEXCON_TEXEN_Msk;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>}</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">  175</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Edge)</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>{</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2c442e179e902bc7610b995bf3336041">TEXCON</a> = (timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2c442e179e902bc7610b995bf3336041">TEXCON</a> &amp; ~TIMER_TEXCON_TX_PHASE_Msk) | u32Edge;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a02d1e22ced2ea1c6572a22893ad8a4e6">TIMER_TCSR_CTB_Msk</a>;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>}</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno"><a class="line" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">  186</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>{</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    timer-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> &amp;= ~TIMER_TCSR_CTB_Msk;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>}</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno"><a class="line" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">  197</a></span>uint32_t <a class="code hl_function" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a>(<a class="code hl_struct" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>{</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    uint32_t u32Src;</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    <span class="keywordflow">if</span>(timer == <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf1b746ba5ab7d0ab657156ebda0f290c">TIMER0</a>)</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        u32Src = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL1 &amp; <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#gadf08d4f34c90e9b1ed984a2d0594f42c">CLK_CLKSEL1_TMR0_S_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga985995bc1ab0123a1aaa060fff194535">CLK_CLKSEL1_TMR0_S_Pos</a>;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        u32Src = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL1 &amp; <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga7baf8ad71c54b495a2d7c1c0e6788bc6">CLK_CLKSEL1_TMR1_S_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#gafcc261b9c98e0da4930bca8f7c20c88f">CLK_CLKSEL1_TMR1_S_Pos</a>;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>    <span class="keywordflow">if</span>(u32Src == 0)</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <span class="keywordflow">return</span>((<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;PWRCON &amp; <a class="code hl_define" href="../../dd/d47/group___m_i_n_i51___definitions.html#ga021a45c925f83ecb6e3d0ff2c4557d2e">CLK_PWRCON_XTLCLK_EN_Msk</a>) == 1 ? <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a94f5c03e3c2c2a616ed82de82e9bb130">__XTAL12M</a> : <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a4b216961fc7c604a794d52bdc02f22be">__XTAL32K</a>);</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(u32Src == 1)</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <span class="keywordflow">return</span> <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a15980137f4b2263e0102fe2524932485">__IRC10K</a>;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(u32Src == 2)</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a>;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <span class="keywordflow">return</span> <a class="code hl_define" href="../../dd/d6a/system___mini51_series_8h.html#a273745e210b52623e70b5cdde9010d1a">__IRC22M</a>;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>}</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> <span class="comment">/* end of group MINI51_TIMER_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> <span class="comment">/* end of group MINI51_TIMER_Driver */</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span> </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_mini51_series_8h_html"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="a_mini51_series_8h_html_a00c934ea97e84af7c585846f629620f9"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a00c934ea97e84af7c585846f629620f9">TIMER_TEXCON_RSTCAPSEL_Msk</a></div><div class="ttdeci">#define TIMER_TEXCON_RSTCAPSEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04902">Mini51Series.h:4902</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a02d1e22ced2ea1c6572a22893ad8a4e6"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a02d1e22ced2ea1c6572a22893ad8a4e6">TIMER_TCSR_CTB_Msk</a></div><div class="ttdeci">#define TIMER_TCSR_CTB_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04857">Mini51Series.h:4857</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a1a3e80e5c1c2b93f51f7014d1ac8edf2"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a1a3e80e5c1c2b93f51f7014d1ac8edf2">TIMER_TEXCON_TEX_EDGE_Msk</a></div><div class="ttdeci">#define TIMER_TEXCON_TEX_EDGE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04896">Mini51Series.h:4896</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a31db38e521750354e34c2758907a5a5d"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a31db38e521750354e34c2758907a5a5d">TIMER_TCSR_CACT_Msk</a></div><div class="ttdeci">#define TIMER_TCSR_CACT_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04860">Mini51Series.h:4860</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a532a09dac569fa74ed79adae9c022e30"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a532a09dac569fa74ed79adae9c022e30">TIMER_TEXCON_CAP_MODE_Msk</a></div><div class="ttdeci">#define TIMER_TEXCON_CAP_MODE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04914">Mini51Series.h:4914</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a94d08585a4ef3b9104fa1367886bf6ac"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a94d08585a4ef3b9104fa1367886bf6ac">TIMER_TCSR_CEN_Msk</a></div><div class="ttdeci">#define TIMER_TCSR_CEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04872">Mini51Series.h:4872</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_aafb067e92caf52879b291d0bb99fcc35"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#aafb067e92caf52879b291d0bb99fcc35">TIMER_TEXCON_TEXEN_Msk</a></div><div class="ttdeci">#define TIMER_TEXCON_TEXEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04899">Mini51Series.h:4899</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_ga021a45c925f83ecb6e3d0ff2c4557d2e"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#ga021a45c925f83ecb6e3d0ff2c4557d2e">CLK_PWRCON_XTLCLK_EN_Msk</a></div><div class="ttdeci">#define CLK_PWRCON_XTLCLK_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00867">Mini51Series.h:867</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_ga7baf8ad71c54b495a2d7c1c0e6788bc6"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#ga7baf8ad71c54b495a2d7c1c0e6788bc6">CLK_CLKSEL1_TMR1_S_Msk</a></div><div class="ttdeci">#define CLK_CLKSEL1_TMR1_S_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00980">Mini51Series.h:980</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_ga985995bc1ab0123a1aaa060fff194535"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#ga985995bc1ab0123a1aaa060fff194535">CLK_CLKSEL1_TMR0_S_Pos</a></div><div class="ttdeci">#define CLK_CLKSEL1_TMR0_S_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00976">Mini51Series.h:976</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_gadf08d4f34c90e9b1ed984a2d0594f42c"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#gadf08d4f34c90e9b1ed984a2d0594f42c">CLK_CLKSEL1_TMR0_S_Msk</a></div><div class="ttdeci">#define CLK_CLKSEL1_TMR0_S_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00977">Mini51Series.h:977</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___definitions_html_gafcc261b9c98e0da4930bca8f7c20c88f"><div class="ttname"><a href="../../dd/d47/group___m_i_n_i51___definitions.html#gafcc261b9c98e0da4930bca8f7c20c88f">CLK_CLKSEL1_TMR1_S_Pos</a></div><div class="ttdeci">#define CLK_CLKSEL1_TMR1_S_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00979">Mini51Series.h:979</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga4b355291fe6b8ba8e167ab0faa862e45"><div class="ttname"><a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a></div><div class="ttdeci">#define CLK</div><div class="ttdoc">Pointer to CLK register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l05736">Mini51Series.h:5736</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gaf1b746ba5ab7d0ab657156ebda0f290c"><div class="ttname"><a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf1b746ba5ab7d0ab657156ebda0f290c">TIMER0</a></div><div class="ttdeci">#define TIMER0</div><div class="ttdoc">Pointer to Timer 0 register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l05723">Mini51Series.h:5723</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0dad1dbaf69f945c3d0d5aa91c4eef86"><div class="ttname"><a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a></div><div class="ttdeci">void TIMER_Delay(TIMER_T *timer, uint32_t u32Usec)</div><div class="ttdoc">This API is used to create a delay loop for u32usec micro seconds.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00088">timer.c:88</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1de0e4c2c84476d6c39d40a3bcaac18a"><div class="ttname"><a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a></div><div class="ttdeci">void TIMER_DisableCapture(TIMER_T *timer)</div><div class="ttdoc">This API is used to disable the Timer capture function.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00160">timer.c:160</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga234d45c63fb6f5e977dbef2294089621"><div class="ttname"><a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a></div><div class="ttdeci">uint32_t TIMER_Open(TIMER_T *timer, uint32_t u32Mode, uint32_t u32Freq)</div><div class="ttdoc">This API is used to configure timer to operate in specified mode and frequency. If timer cannot work ...</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00042">timer.c:42</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4460ba2e5f3bdddafab005e1e1fda0da"><div class="ttname"><a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a></div><div class="ttdeci">void TIMER_DisableEventCounter(TIMER_T *timer)</div><div class="ttdoc">This API is used to disable the Timer event counter function.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00186">timer.c:186</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga56facc5683886f3ff3b273a3b5e47fcd"><div class="ttname"><a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a></div><div class="ttdeci">uint32_t TIMER_GetModuleClock(TIMER_T *timer)</div><div class="ttdoc">This API is used to get the clock frequency of Timer.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00197">timer.c:197</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga72fc8741562dbff619aa7dfe8b73c0a7"><div class="ttname"><a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a></div><div class="ttdeci">void TIMER_EnableEventCounter(TIMER_T *timer, uint32_t u32Edge)</div><div class="ttdoc">This function is used to enable the Timer counter function with specify detection edge.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00175">timer.c:175</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga80ba64bdc40d36cb4a2139f4651b1c42"><div class="ttname"><a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a></div><div class="ttdeci">void TIMER_EnableCapture(TIMER_T *timer, uint32_t u32CapMode, uint32_t u32Edge)</div><div class="ttdoc">This API is used to enable timer capture function with specified mode and capture edge.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00146">timer.c:146</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga83113a85eb313523f4ec35ab585d8968"><div class="ttname"><a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a></div><div class="ttdeci">void TIMER_Close(TIMER_T *timer)</div><div class="ttdoc">This API stops Timer counting and disable the Timer interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/timer_8c_source.html#l00073">timer.c:73</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51__legacy___constants_html_ga260d35c1f89bbc056b6e99f30fae83e0"><div class="ttname"><a href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga260d35c1f89bbc056b6e99f30fae83e0">TIMER_T::TCMPR</a></div><div class="ttdeci">__IO uint32_t TCMPR</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04820">Mini51Series.h:4820</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51__legacy___constants_html_ga2c442e179e902bc7610b995bf3336041"><div class="ttname"><a href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2c442e179e902bc7610b995bf3336041">TIMER_T::TEXCON</a></div><div class="ttdeci">__IO uint32_t TEXCON</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04824">Mini51Series.h:4824</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51__legacy___constants_html_ga48abedbfa535d900d5b544d8bcf2edf6"><div class="ttname"><a href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga48abedbfa535d900d5b544d8bcf2edf6">TIMER_T::TCSR</a></div><div class="ttdeci">__IO uint32_t TCSR</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04819">Mini51Series.h:4819</a></div></div>
<div class="ttc" id="astruct_t_i_m_e_r___t_html"><div class="ttname"><a href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04661">Mini51Series.h:4662</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a15980137f4b2263e0102fe2524932485"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a15980137f4b2263e0102fe2524932485">__IRC10K</a></div><div class="ttdeci">#define __IRC10K</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00032">system_Mini51Series.h:32</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a273745e210b52623e70b5cdde9010d1a"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a273745e210b52623e70b5cdde9010d1a">__IRC22M</a></div><div class="ttdeci">#define __IRC22M</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00031">system_Mini51Series.h:31</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a4b216961fc7c604a794d52bdc02f22be"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a4b216961fc7c604a794d52bdc02f22be">__XTAL32K</a></div><div class="ttdeci">#define __XTAL32K</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00030">system_Mini51Series.h:30</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_a94f5c03e3c2c2a616ed82de82e9bb130"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#a94f5c03e3c2c2a616ed82de82e9bb130">__XTAL12M</a></div><div class="ttdeci">#define __XTAL12M</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6a/system___mini51_series_8h_source.html#l00029">system_Mini51Series.h:29</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_aa3cd3e43291e81e795d642b79b6088e6"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a></div><div class="ttdeci">uint32_t SystemCoreClock</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d23/system___mini51_series_8c_source.html#l00020">system_Mini51Series.c:20</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
